Subject: Re: bug#36017: 27.0.50; TLS 1.3 on macOS exhibits similar issue to #34341

From: Aaron Jensen <[email-masked]>
Date: Mon, 3 Aug 2020 08:52:05 -0700

It no longer reproduces on macOS for me it seems, with some build of Emacs 27.

Aaron

On Mon, Aug 3, 2020 at 1:02 AM Lars Ingebrigtsen <[email-masked]> wrote:
>
> Aaron Jensen <[email-masked]> writes:
>
> > Try this in emacs -Q:
> >
> > (let (
> >       ;; (gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
> >       (url-request-method "POST")
> >       (url-request-data "{}")
> >       (url-request-extra-headers '(("Authorization" . "token XXX")
> >                                    ("Content-Type" . "application/json"))))
> >   (switch-to-buffer
> >    (url-retrieve
> >     "https://api.github.com/repos/facebook/react/pulls"
> >     (lambda (status)
> >       (error "Staus: %S" status)))))
>
> I've tried this in both Emacs 28 on GNU/Linux and Macos, and I don't
> seem to get any errors -- I get a buffer full of JSON and a status full
> of TLS data.
>
> Are you still seeing this problem?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no